# MatRestoreColumnIJ

Call after you are completed with the ia,ja indices obtained with MatGetColumnIJ().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatRestoreColumnIJ(Mat mat,PetscInt shift,PetscTruth symmetric,PetscTruth blockcompressed,PetscInt *n,PetscInt *ia[],PetscInt* ja[],PetscTruth *done)

Collective on Mat

### Input Parameters

| mat | - the matrix
| shift | - 1 or zero indicating we want the indices starting at 0 or 1
| symmetric | - PETSC_TRUE or PETSC_FALSE indicating the matrix data structure should be symmetrized

blockcompressed -PETSC_TRUE or PETSC_FALSE indicating if the nonzero structure of the blockcompressed matrix is desired or not [inode, baij have blockcompressed nonzero structure which is different than the full nonzero structure]

### Output Parameters

| n | - size of (possibly compressed) matrix
| ia | - the column pointers
| ja | - the row indices
| done | - PETSC_TRUE or PETSC_FALSE indicated that the values have been returned

### See Also

MatGetColumnIJ(), MatRestoreRowIJ()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages